6.0.0-git
2021-01-18

[#6995] Synchro between Funambol V (6.6.0) for Blackberry and Horde's calendar Failed
Summary Synchro between Funambol V (6.6.0) for Blackberry and Horde's calendar Failed
Queue Synchronization
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester avrodriguez (at) jusbaires (dot) gov (dot) ar
Created 2008-06-30 (4585 days ago)
Due
Updated 2009-06-17 (4233 days ago)
Assigned 2009-04-05 (4306 days ago)
Resolved 2009-04-20 (4291 days ago)
Milestone 3.3.4
Patch No

History
2009-06-17 13:51:40 gauthier (dot) remi (at) free (dot) fr Comment #15 Reply to this comment

[Show Quoted Text - 16 lines]
2009-06-17 12:33:54 gauthier (dot) remi (at) free (dot) fr Comment #14 Reply to this comment
with funambol 6.0.7 and latest stable horde version

Synchro start and failed at 22/199



with .htaccess => php_flag zlib.output_compression On



It's OK synchro OK, but the other clients won't work



with funambol plugin directly from my.funambol 7.2.1 ??

it can't start because it start by requesting

SERVE-URL_from_funambol_client_server/info



and rpc.php/info isn't a valid file in horde !



and funambol 6.0.7 start with rpc.php who is a valid file !
2009-04-20 08:36:23 Jan Schneider State ⇒ Resolved
 
2009-04-05 20:24:47 CVS Commit Comment #13 Reply to this comment
Changes have been made in CVS for this ticket:

http://cvs.horde.org/diff.php/framework/SyncML/SyncML.php?rt=horde&r1=1.21.10.18&r2=1.21.10.19&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Backend.php?rt=horde&r1=1.8.2.15&r2=1.8.2.16&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Backend/Horde.php?rt=horde&r1=1.8.2.16&r2=1.8.2.17&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Backend/Sql.php?rt=horde&r1=1.6.2.6&r2=1.6.2.7&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Command.php?rt=horde&r1=1.4.10.12&r2=1.4.10.13&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Command/Alert.php?rt=horde&r1=1.18.10.15&r2=1.18.10.16&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Command/Final.php?rt=horde&r1=1.10.10.10&r2=1.10.10.11&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Command/Get.php?rt=horde&r1=1.14.10.15&r2=1.14.10.16&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Command/Map.php?rt=horde&r1=1.1.10.11&r2=1.1.10.12&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Command/Put.php?rt=horde&r1=1.12.10.12&r2=1.12.10.13&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Command/Sync.php?rt=horde&r1=1.17.10.17&r2=1.17.10.18&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Command/SyncElement.php?rt=horde&r1=1.3.2.9&r2=1.3.2.10&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/State.php?rt=horde&r1=1.17.2.17&r2=1.17.2.18&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Sync.php?rt=horde&r1=1.8.4.20&r2=1.8.4.21&ty=u
http://cvs.horde.org/co.php/framework/SyncML/tests/testpacket.php?rt=horde&r=1.2.2.1
http://cvs.horde.org/diff.php/horde/docs/CHANGES?rt=horde&r1=1.515.2.522&r2=1.515.2.523&ty=u
2009-04-05 20:15:15 Jan Schneider Comment #12
State ⇒ Feedback
Reply to this comment
Please try what I committed.
2009-04-04 12:54:39 Jan Schneider Comment #10 Reply to this comment

[Show Quoted Text - 11 lines]
This is actually a duplicate of bug #6949. Horde is not correctly 
detecting that Funambol is sending base64 encoded data.
2009-02-02 17:17:07 cisco (at) no-log (dot) org Comment #9 Reply to this comment
Milestone ⇒ 3.3.4 ???



I do not understand what that mind



Is it working now ?

My problem is similar at gauthier (dot) remi (at) free (dot) fr
2009-01-24 18:02:02 Jan Schneider Milestone ⇒ 3.3.4
 
2008-10-29 19:04:31 gauthier (dot) remi (at) free (dot) fr Comment #8 Reply to this comment

[Show Quoted Text - 18 lines]
My 8310 BB (v4.2.1.101) seem to work only for 19 events, wait few 
second and stop at 22 and freeze.

With 6.0.6 or 7.0.7 funambol plug-in.



have you a new version or devel one ?



my colleagues in WM5 or WM6 as no problem



Thank's a lot


2008-10-07 13:52:46 Jan Schneider State ⇒ Assigned
Milestone ⇒ 3.3.1
 
2008-10-06 20:12:53 jwain (at) umd (dot) umich (dot) edu Comment #7
New Attachment: sync_logs_1006.tar.gz Download
Reply to this comment
Reinstalled a fresh installation with all stable releases as of 
10/03/08- now I'm seeing errors in the php_error log:

[06-Oct-2008 15:18:01] PHP Notice:  Undefined index:  AllDayEvent in 
/var/www/html/horde-3.3/lib/SyncML/Device/Sync4j.php on line 374

[06-Oct-2008 15:18:01] PHP Notice:  Undefined index:  Start in 
/var/www/html/horde-3.3/lib/SyncML/Device/Sync4j.php on line 388

[06-Oct-2008 15:18:01] PHP Notice:  Undefined index:  End in 
/var/www/html/horde-3.3/lib/SyncML/Device/Sync4j.php on line 391



Still using the same Funambol client and Blackberry; still seeing the 
same single 12-31-1969 event in the database.  Full logs are attached.
2008-10-01 16:52:27 jwain (at) umd (dot) umich (dot) edu Comment #6
New Attachment: horde32cvs-100108.log.gz Download
Reply to this comment

[Show Quoted Text - 15 lines]
Also should add that nothing appears in the php error log.  Also 
attached horde log.
2008-10-01 16:51:26 jwain (at) umd (dot) umich (dot) edu Comment #5
New Attachment: hordebb_synclogs.tar.gz Download
Reply to this comment
Should be fixed in CVS now.
As a continuation of my post to the sync mailing list on 9/8/08, the 
sync still only appears to work one-way (from horde -> BB, but not 
back from BB -> horde).  I'm still using a BB8830 and funambol 7.0.7, 
but I've since upgraded the BB OS to v4.2.2.196 and pulled the latest 
CVS code as of yesterday evening.  Since reloading the OS and funambol 
client, the sync session counts up through all the events needing to 
be synced (instead of stopping prematurely as reported on 9/8), but 
the result is still the same- one event in the mysql DB on 12-31-1969 
at 7pm even though the client supposedly sends 19 events.  Most of the 
events are recurring, but there a few one-time events as well.



I've attached the recent logs to this comment.
2008-07-14 19:38:00 avrodriguez (at) jusbaires (dot) gov (dot) ar Comment #4
New Attachment: sync-logs.tar.bz2 Download
Reply to this comment
Should be fixed in CVS now.
I tried with the last  version Horde's cvs. I achieve synchronize the 
data between Horde's calendar and the Blackberry's Calendar, this 
works perfect. But the synchronization between Blackberry's calendar 
and the Horde's calendar does not work.



I attach the new logs.


2008-07-07 17:37:36 Jan Schneider Comment #3
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
Reply to this comment
Should be fixed in CVS now.
2008-07-07 17:36:39 CVS Commit Comment #2 Reply to this comment
2008-07-06 17:29:11 Jan Schneider Milestone ⇒ 3.2.2
 
2008-06-30 22:27:34 Jan Schneider Assigned to Jan Schneider
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2008-06-30 14:20:56 avrodriguez (at) jusbaires (dot) gov (dot) ar Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Synchro between Funambol V (6.6.0) for Blackberry and Horde's calendar Failed
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ No
New Attachment: sync.tar.bz2 Download
Reply to this comment
Apologize for my poor English. I will try to explain the problem.



When I do the synchro between Horde's Calendar and Funambol Client,

although this shows me "full sync" the data not shown either at

Blackberry's Calendar or Horde's Calendar.



I think that this mistake, may be a clue to solve this problem,



  HORDE [error] [horde] Error in adding client entry due to replace 
request: Unsupported Content-Type: text/x-s4j-sife [pid 23161 on line 
263 of "/var/www/horde-framework/lib/SyncML/Sync.php"]



I attach the logs.














Saved Queries